<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width">
    <title>Vedavaapi Object Browser</title>
    <link rel="stylesheet" id="theme" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <style type="text/css">
        #convo-row {
            max-width: 55.8em;
            margin: 0 auto 0 auto;
        }
        #schema-form {
            height: 30em !important;
            overflow-y: auto !important;
            padding: 1.3em;
            margin: 0.3em
        }

        #fd-col {
            height: 30em !important;
            overflow-y: auto !important;
            background-color: #f6f8fa;
            padding: 1.3em;
            margin: 0.3em;
        }
        #referrers-col {
            max-height: 35em !important;
            
        }
        .submitted-data-cell {
            padding-right: 2em !important;
        }
        #sd-text {
            min-height: 10em;
        }
        #input-id {
            width: 20em;
        }
    </style>
</head>
<body>

    <div class="container">
        
        <h3 id="title-header">VEDAVAAPI OBJECT BROWSER</h3>
        <hr>

        <div class="row">
            <div class="col-sm-6 col-md-6">
                <input type="text" name="_id" id="input-id">
                <button id="button-init">VISUALIZE</button>
            </div>
        </div>

        <div class="row" id="status-row">
            <div class="col" style="margin-left:1em;">
                status: <span id="status-cell"></span>
            </div>
        </div>
        
        <hr>

        <div class="row" id="form-row">
            <div id="schema-form" class="col-md-5 col-lg-5"></div>
            <div class="col-md-4 col-lg-4" id="fd-col">
                <pre id="fd-text"></pre>
            </div>
            <div class="col-md-2 col-lg-2" id="referrers-col">
                <em>through source field</em>
                <div id="spr-col">
                <hr>
                </div>
                <em>through target field</em>
                <div id="anno-col">
                
                </div>
            </div>
        </div>

        <br><hr>
            
        </div>

    </div>

    <br><br><br>

    <script crossorigin src="https://unpkg.com/react@16/umd/react.development.js"></script>
    <script crossorigin src="https://unpkg.com/react-dom@16/umd/react-dom.development.js"></script>
    <script src="https://unpkg.com/react-jsonschema-form/dist/react-jsonschema-form.js"></script>
    <script
  src="https://code.jquery.com/jquery-3.3.1.min.js"
  integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
  crossorigin="anonymous"></script>
    <script src="js/shell_communicator.js"></script>
    <script src="js/vv_object_browser.js"></script>
</body>
</html>

